const int sensorPin = 14; // Pino conectado à saída do sensor de proximidade (GPIO 14)

void setup() {
  Serial.begin(115200); // Inicializa a comunicação serial para depuração
  pinMode(sensorPin, INPUT); // Configura o GPIO 14 como entrada
  Serial.println("Teste do Sensor de Proximidade Iniciado");
}

void loop() {
  int sensorValue = digitalRead(sensorPin); // Lê o valor do pino do sensor
  if (sensorValue == HIGH) {
    Serial.println("Objeto Detectado!"); // Imprime se um objeto é detectado
  } else {
    Serial.println("Nenhum Objeto Detectado"); // Imprime se nada foi detectado
  }
  delay(500); // Aguarda 500 ms antes de ler novamente
}
